<%@ taglib prefix="props" tagdir="/WEB-INF/tags/props" %>
<%@ taglib prefix="l" tagdir="/WEB-INF/tags/layout" %>
<%@ taglib prefix="bs" tagdir="/WEB-INF/tags" %>
<%@ taglib prefix="forms" tagdir="/WEB-INF/tags/forms" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<jsp:useBean id="propertiesBean" scope="request" type="jetbrains.buildServer.controllers.BasePropertiesBean"/>

<l:settingsGroup title="Ant Parameters">

  <tr>
    <th>
      <c:set var="onclick">
        if (this.checked) {
          $('build-file-path').focus();
        }
      </c:set>
      <props:radioButtonProperty name="use-custom-build-file" value="" id="custom1"
                                 checked="${empty propertiesBean.properties['use-custom-build-file']}" onclick="${onclick}"/>
      <label for="custom1">Path to a build.xml file:</label>
    </th>
    <td>
      <props:textProperty name="build-file-path" className="longField"/>
      <span class="error" id="error_build-file-path"></span>
      <span class="smallNote">Specified path should be relative to the checkout directory.</span>
    </td>
  </tr>
 <tr>
  <th>
    <c:set var="onclick">
      if (this.checked) {
        try {
          BS.MultilineProperties.show('build-file', true);
          $('build-file').focus();
        } catch(e) {}
      }
    </c:set>
    <props:radioButtonProperty name="use-custom-build-file" value="true" id="custom2" onclick="${onclick}"/>
  <label for="custom2">Build file content:</label>
  </th>
  <td>
   <props:multilineProperty expanded="${propertiesBean.properties['use-custom-build-file'] == true}" name="build-file" rows="10" cols="58" linkTitle="Type the build file content" onkeydown="$('custom2').checked = true;"/>
   <span class="error" id="error_build-file"></span>
  </td>
</tr>

  <forms:workingDirectory />

  <tr>
    <th>
      <label for="target">Targets:</label>
    </th>
    <td>
      <props:textProperty name="target" className="longField"/>
      <span class="smallNote">Enter targets separated by space or comma.</span>
    </td>
  </tr>

  <tr>
    <th><label for="ant.home">Ant home path: <bs:help file="Ant" anchor="antAntParamsOptionDescription"/></label></th>
    <td><props:textProperty name="ant.home" className="longField"/>
        <span class="smallNote">Optional parameter, needed when you are not going to use Ant bundled with TeamCity.
          Relative to checkout directory. Supported Ant versions 1.6.5+. </span>
    </td>
  </tr>

  <tr>               
    <th><label for="runnerArgs">Additional Ant command line parameters:</label></th>
    <td><props:textProperty name="runnerArgs" className="longField"/></td>
  </tr>

</l:settingsGroup>
<l:settingsGroup title="Java Parameters">

  <tr>
    <th><label for="target.jdk.home">JDK home path: <bs:help file="Ant" anchor="antJdkHomePathOptionDescription"/></label></th>
    <td>
      <props:textProperty name="target.jdk.home" className="longField"/>
      <span class="smallNote">If blank then path is read from JAVA_HOME environment variable or agent's own Java.
      </span>
    </td>
  </tr>

  <props:editJvmArgs/>
</l:settingsGroup>

<l:settingsGroup title="Test Parameters">
  <props:runRiskGroupTestsFirst/>
</l:settingsGroup>
